# -*- coding: utf-8 -*-
from setuphelpers import *


def get_app_path_version(key):
    app_path = makepath(key["install_location"], "iconsext.exe")
    return get_file_properties(app_path)["ProductVersion"]


def install():
    install_exe_if_needed(
        "iconsext_setup.exe",
        silentflags="/S",
        key="NirSoft IconsExtract",
        min_version=control.get_software_version(),
        get_version=get_app_path_version,
    )

    # Adding application desktop shortcuts
    app_path = makepath(installed_softwares(uninstallkey="NirSoft IconsExtract")[0]["install_location"], "iconsext.exe")
    create_desktop_shortcut("IconsExtract", app_path)
    create_programs_menu_shortcut("IconsExtract", app_path)
